Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class ModelByteBufferWavetable

    java.lang.Object
      com.sun.media.sound.ModelByteBufferWavetable

All Implemented Interfaces:
  ModelOscillator, ModelWavetable

    public class ModelByteBufferWavetable

extends java.lang.Object
implements ModelWavetable

Wavetable oscillator for pre-loaded data.

Author:
  Karl Helgason

Field Summary

Fields inherited from interface com.sun.media.sound.ModelWavetable
`LOOP_TYPE_FORWARD, LOOP_TYPE_OFF, LOOP_TYPE_PINGPONG, LOOP_TYPE_RELEASE, LOOP_TYPE_REVERSE`

Constructor Summary
`ModelByteBufferWavetable(ModelByteBuffer buffer)`
`ModelByteBufferWavetable(ModelByteBuffer buffer, javax.sound.sampled.AudioFormat format)`
`ModelByteBufferWavetable(ModelByteBuffer buffer, javax.sound.sampled.AudioFormat format, float pitchcorrection)`
`ModelByteBufferWavetable(ModelByteBuffer buffer, float pitchcorrection)`

Method Summary
`ModelByteBuffer` | `get8BitExtensionBuffer()`
`float` | `getAttenuation()` Attenuation is in cB.
`ModelByteBuffer` | `getBuffer()`
`int` | `getChannels()`
`javax.sound.sampled.AudioFormat` | `getFormat()`
`float` | `getLoopLength()`
`float` | `getLoopStart()`
`int` | `getLoopType()`
`float` | `getPitchcorrection()`
`ModelOscillatorStream` | `open(float samplerate)`
`AudioFloatInputStream` | `openStream()`
`void` | `set8BitExtensionBuffer(ModelByteBuffer buffer)`
`void` | `setAttenuation(float attenuation)`
`void` | `setLoopLength(float loopLength)`
`void` | `setLoopStart(float loopStart)`
`void` | `setLoopType(int loopType)`
`void` | `setPitchcorrection(float pitchcorrection)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelByteBufferWavetable

    public ModelByteBufferWavetable(ModelByteBuffer buffer)

### ModelByteBufferWavetable

    public ModelByteBufferWavetable(ModelByteBuffer buffer,
                                    float pitchcorrection)

### ModelByteBufferWavetable

    public ModelByteBufferWavetable(ModelByteBuffer buffer,
                                    javax.sound.sampled.AudioFormat format)

### ModelByteBufferWavetable

    public ModelByteBufferWavetable(ModelByteBuffer buffer,
                                    javax.sound.sampled.AudioFormat format,
                                    float pitchcorrection)

Method Detail

### set8BitExtensionBuffer

    public void set8BitExtensionBuffer(ModelByteBuffer buffer)

### get8BitExtensionBuffer

    public ModelByteBuffer get8BitExtensionBuffer()

### getBuffer

    public ModelByteBuffer getBuffer()

### getFormat

    public javax.sound.sampled.AudioFormat getFormat()

### openStream

    public AudioFloatInputStream openStream()

  Specified by:
    `openStream` in interface `ModelWavetable`

### getChannels

    public int getChannels()

  Specified by:
    `getChannels` in interface `ModelOscillator`

### open

    public ModelOscillatorStream open(float samplerate)

  Specified by:
    `open` in interface `ModelOscillator`

### getAttenuation

    public float getAttenuation()

  Description copied from interface: `ModelOscillator`
  Attenuation is in cB.

  Specified by:
    `getAttenuation` in interface `ModelOscillator`
  Returns:

### setAttenuation

    public void setAttenuation(float attenuation)

### getLoopLength

    public float getLoopLength()

  Specified by:
    `getLoopLength` in interface `ModelWavetable`

### setLoopLength

    public void setLoopLength(float loopLength)

### getLoopStart

    public float getLoopStart()

  Specified by:
    `getLoopStart` in interface `ModelWavetable`

### setLoopStart

    public void setLoopStart(float loopStart)

### setLoopType

    public void setLoopType(int loopType)

### getLoopType

    public int getLoopType()

  Specified by:
    `getLoopType` in interface `ModelWavetable`

### getPitchcorrection

    public float getPitchcorrection()

  Specified by:
    `getPitchcorrection` in interface `ModelWavetable`

### setPitchcorrection

    public void setPitchcorrection(float pitchcorrection)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD